Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Be9GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Be9GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Be9GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Be9GEMProbability.hh,v 1.3 2006/06/29 20:14:49 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Be9GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C10GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C10GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C10GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4C10GEMChannel.hh,v 1.3 2006/06/29 20:14:51 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4C10GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C10GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C10GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C10GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,29 @@
 //
 //
-// $Id: G4C10GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:14:53 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4C10GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 
 #ifndef G4C10GEMCoulombBarrier_h
 #define G4C10GEMCoulombBarrier_h 1
 
+//#include "G4GEMCoulombBarrierHE.hh"
 #include "G4GEMCoulombBarrierHE.hh"
 #include "globals.hh"
 
-class G4C10GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4C10GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4C10GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4C10GEMCoulombBarrier() : G4GEMCoulombBarrierHE(10,6) {};
+//JMQ 200709
+//  G4C10GEMCoulombBarrier() : G4GEMCoulombBarrierHE(10,6) {};
+  G4C10GEMCoulombBarrier() : G4GEMCoulombBarrier(10,6) {};
   ~G4C10GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C10GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C10GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C10GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4C10GEMProbability.hh,v 1.3 2006/06/29 20:14:55 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4C10GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C11GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C11GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C11GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4C11GEMChannel.hh,v 1.3 2006/06/29 20:14:57 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4C11GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C11GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C11GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C11GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,29 @@
 //
 //
-// $Id: G4C11GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:14:59 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4C11GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 
 #ifndef G4C11GEMCoulombBarrier_h
 #define G4C11GEMCoulombBarrier_h 1
 
+//#include "G4GEMCoulombBarrierHE.hh"
 #include "G4GEMCoulombBarrierHE.hh"
 #include "globals.hh"
 
-class G4C11GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4C11GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4C11GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4C11GEMCoulombBarrier() : G4GEMCoulombBarrierHE(11,6) {};
+//JMQ 200709
+//  G4C11GEMCoulombBarrier() : G4GEMCoulombBarrierHE(10,6) {};
+  G4C11GEMCoulombBarrier() : G4GEMCoulombBarrier(11,6) {};
   ~G4C11GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C11GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C11GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C11GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4C11GEMProbability.hh,v 1.3 2006/06/29 20:15:01 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4C11GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C12GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C12GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C12GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4C12GEMChannel.hh,v 1.3 2006/06/29 20:15:03 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4C12GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C12GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C12GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C12GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,29 @@
 //
 //
-// $Id: G4C12GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:15:05 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4C12GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 
 #ifndef G4C12GEMCoulombBarrier_h
 #define G4C12GEMCoulombBarrier_h 1
 
+//#include "G4GEMCoulombBarrierHE.hh"
 #include "G4GEMCoulombBarrierHE.hh"
 #include "globals.hh"
 
-class G4C12GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4C12GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4C12GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4C12GEMCoulombBarrier() : G4GEMCoulombBarrierHE(12,6) {};
+//JMQ 200709
+//  G4C12GEMCoulombBarrier() : G4GEMCoulombBarrierHE(10,6) {};
+  G4C12GEMCoulombBarrier() : G4GEMCoulombBarrier(12,6) {};
   ~G4C12GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C12GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C12GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C12GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4C12GEMProbability.hh,v 1.3 2006/06/29 20:15:07 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4C12GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C13GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C13GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C13GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4C13GEMChannel.hh,v 1.3 2006/06/29 20:15:09 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4C13GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C13GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C13GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C13GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,29 @@
 //
 //
-// $Id: G4C13GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:15:11 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4C13GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 
 #ifndef G4C13GEMCoulombBarrier_h
 #define G4C13GEMCoulombBarrier_h 1
 
+//#include "G4GEMCoulombBarrierHE.hh"
 #include "G4GEMCoulombBarrierHE.hh"
 #include "globals.hh"
 
-class G4C13GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4C13GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4C13GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4C13GEMCoulombBarrier() : G4GEMCoulombBarrierHE(13,6) {};
+//JMQ 200709
+//  G4C13GEMCoulombBarrier() : G4GEMCoulombBarrierHE(10,6) {};
+  G4C13GEMCoulombBarrier() : G4GEMCoulombBarrier(13,6) {};
   ~G4C13GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C13GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C13GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C13GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4C13GEMProbability.hh,v 1.3 2006/06/29 20:15:13 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4C13GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C14GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C14GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C14GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4C14GEMChannel.hh,v 1.3 2006/06/29 20:15:15 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4C14GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C14GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C14GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C14GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,29 @@
 //
 //
-// $Id: G4C14GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:15:17 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4C14GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 
 #ifndef G4C14GEMCoulombBarrier_h
 #define G4C14GEMCoulombBarrier_h 1
 
+//#include "G4GEMCoulombBarrierHE.hh"
 #include "G4GEMCoulombBarrierHE.hh"
 #include "globals.hh"
 
-class G4C14GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4C14GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4C14GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4C14GEMCoulombBarrier() : G4GEMCoulombBarrierHE(14,6) {};
+//JMQ 200709
+//  G4C14GEMCoulombBarrier() : G4GEMCoulombBarrierHE(10,6) {};
+  G4C14GEMCoulombBarrier() : G4GEMCoulombBarrier(14,6) {};
   ~G4C14GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C14GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C14GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C14GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4C14GEMProbability.hh,v 1.3 2006/06/29 20:15:19 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4C14GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C15GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C15GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C15GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4C15GEMChannel.hh,v 1.3 2006/06/29 20:15:21 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4C15GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C15GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C15GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C15GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,29 @@
 //
 //
-// $Id: G4C15GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:15:23 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4C15GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 
 #ifndef G4C15GEMCoulombBarrier_h
 #define G4C15GEMCoulombBarrier_h 1
 
+//#include "G4GEMCoulombBarrierHE.hh"
 #include "G4GEMCoulombBarrierHE.hh"
 #include "globals.hh"
 
-class G4C15GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4C15GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4C15GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4C15GEMCoulombBarrier() : G4GEMCoulombBarrierHE(15,6) {};
+//JMQ 200709
+//  G4C15GEMCoulombBarrier() : G4GEMCoulombBarrierHE(10,6) {};
+  G4C15GEMCoulombBarrier() : G4GEMCoulombBarrier(15,6) {};
   ~G4C15GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C15GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C15GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C15GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4C15GEMProbability.hh,v 1.3 2006/06/29 20:15:25 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4C15GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C16GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C16GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C16GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4C16GEMChannel.hh,v 1.3 2006/06/29 20:15:27 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4C16GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C16GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C16GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C16GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,29 @@
 //
 //
-// $Id: G4C16GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:15:29 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4C16GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 
 #ifndef G4C16GEMCoulombBarrier_h
 #define G4C16GEMCoulombBarrier_h 1
 
+//#include "G4GEMCoulombBarrierHE.hh"
 #include "G4GEMCoulombBarrierHE.hh"
 #include "globals.hh"
 
-class G4C16GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4C16GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4C16GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4C16GEMCoulombBarrier() : G4GEMCoulombBarrierHE(16,6) {};
+//JMQ 200709
+//  G4C16GEMCoulombBarrier() : G4GEMCoulombBarrierHE(10,6) {};
+  G4C16GEMCoulombBarrier() : G4GEMCoulombBarrier(16,6) {};
   ~G4C16GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C16GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C16GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4C16GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4C16GEMProbability.hh,v 1.3 2006/06/29 20:15:31 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4C16GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4DeuteronGEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4DeuteronGEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4DeuteronGEMChannel.hh	(revision 1196)
@@ -25,11 +25,11 @@
 //
 //
-// $Id: G4DeuteronGEMChannel.hh,v 1.3 2006/06/29 20:15:33 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4DeuteronGEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Sept. 2001)
 //
-
+// J. M. Quesada (July 2009) coulomb barrier striclty according to Furihata's paper
 
 #ifndef G4DeuteronGEMChannel_h
@@ -37,5 +37,5 @@
 
 #include "G4GEMChannel.hh"
-#include "G4DeuteronCoulombBarrier.hh"
+#include "G4DeuteronGEMCoulombBarrier.hh"
 #include "G4DeuteronGEMProbability.hh"
 
@@ -55,4 +55,5 @@
 
 private:
+
     const G4DeuteronGEMChannel & operator=(const G4DeuteronGEMChannel & right);  
     
@@ -64,6 +65,7 @@
     
 private:
-    
-    G4DeuteronCoulombBarrier theCoulombBarrier;
+     // JMQ 190709
+//     G4DeuteronCoulombBarrier theCoulombBarrier;    
+    G4DeuteronGEMCoulombBarrier theCoulombBarrier;
 	
     G4DeuteronGEMProbability theEvaporationProbability;
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4DeuteronGEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4DeuteronGEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4DeuteronGEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4DeuteronGEMProbability.hh,v 1.3 2006/06/29 20:15:35 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4DeuteronGEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4EvaporationGEMFactory.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4EvaporationGEMFactory.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4EvaporationGEMFactory.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4EvaporationGEMFactory.hh,v 1.5 2006/06/29 20:15:37 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4EvaporationGEMFactory.hh,v 1.7 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4F17GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4F17GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4F17GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4F17GEMChannel.hh,v 1.3 2006/06/29 20:15:39 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4F17GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4F17GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4F17GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4F17GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,29 @@
 //
 //
-// $Id: G4F17GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:15:41 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4F17GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 
 #ifndef G4F17GEMCoulombBarrier_h
 #define G4F17GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4F17GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4F17GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4F17GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4F17GEMCoulombBarrier() : G4GEMCoulombBarrierHE(17,9) {};
+//JMQ 200709
+//  G4F17GEMCoulombBarrier() : G4GEMCoulombBarrierHE(17,9) {};
+  G4F17GEMCoulombBarrier() : G4GEMCoulombBarrier(17,9) {};
   ~G4F17GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4F17GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4F17GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4F17GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4F17GEMProbability.hh,v 1.3 2006/06/29 20:15:43 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4F17GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4F18GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4F18GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4F18GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4F18GEMChannel.hh,v 1.3 2006/06/29 20:15:45 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4F18GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4F18GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4F18GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4F18GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,29 @@
 //
 //
-// $Id: G4F18GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:15:47 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4F18GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 
 #ifndef G4F18GEMCoulombBarrier_h
 #define G4F18GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4F18GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4F18GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4F18GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4F18GEMCoulombBarrier() : G4GEMCoulombBarrierHE(18,9) {};
+//JMQ 200709
+//  G4F18GEMCoulombBarrier() : G4GEMCoulombBarrierHE(18,9) {};
+  G4F18GEMCoulombBarrier() : G4GEMCoulombBarrier(18,9) {};
   ~G4F18GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4F18GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4F18GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4F18GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4F18GEMProbability.hh,v 1.3 2006/06/29 20:15:49 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4F18GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4F19GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4F19GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4F19GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4F19GEMChannel.hh,v 1.3 2006/06/29 20:15:51 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4F19GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
